FROM nginx:latest

# 删除默认的nginx配置
RUN rm -rf /etc/nginx/conf.d/*

# 每增加一个前端项目，需要在这里添加一个临时目录，并复制文件；Dockerfile.nginx 中也要添加一个COPY命令
# 创建目标目录
RUN mkdir -p /data/tuoheng_airport_web/dist
RUN mkdir -p /data/tuoheng_hhz_web/dist
RUN mkdir -p /data/tuoheng_business_web/dist

# 创建视频录制和图片的地址
RUN mkdir -p /data/recording
RUN mkdir -p /data/srs

# 复制temp_vhosts配置到nginx配置目录
COPY temp_vhosts/ /etc/nginx/conf.d/

# 复制SSL证书文件到nginx目录
COPY vhosts/cert/t-aaron.com.pem /etc/nginx/t-aaron.com.pem
COPY vhosts/cert/t-aaron.com.key /etc/nginx/t-aaron.com.key

# 每增加一个前端项目，需要在这里添加一个临时目录，并复制文件；Dockerfile.nginx 中也要添加一个COPY命令
# 复制 AIRPORT_WEB_DIST 目录下的文件到容器中
COPY airport_web_dist/ /data/tuoheng_airport_web/dist/
COPY hhz_admin_web_dist/ /data/tuoheng_hhz_web/dist/
COPY business_web_dist/ /data/tuoheng_business_web/dist/

# 设置正确的权限
RUN chmod 644 /etc/nginx/t-aaron.com.pem /etc/nginx/t-aaron.com.key && \
    chmod -R 755 /data/tuoheng_airport_web/dist

# 设置时区
ENV TZ=Asia/Shanghai

# 暴露端口
EXPOSE 80 443

# 启动nginx
CMD ["nginx", "-g", "daemon off;"] 